SEARCH

Enter your search query in the box above ^, or use the forum search tool.

You are not logged in.

#1 2013-05-28 20:34:32

farinet
#! Junkie
Registered: 2012-11-03
Posts: 296

synaptic problem

After an "sudo apt-get update && upgrade" synaptic does not work anymore.

When i try from a terminal "gksu synaptic" i'm getting the following error:

glibtop: Non-standard uts for running kernel:
release 3.9-4.dmz.1-liquorix-amd64=3.9.0 gives version code 198912


(gksu:4899): GLib-CRITICAL **: g_str_has_prefix: assertion `str != NULL' failed

In another thread i found the advice to try "synaptic-pkexec". Doing this i'm getting this long error list:

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:289:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:323:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1828:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1845:21: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1861:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2146:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:16:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:93:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:183:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:503:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:850:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:925:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:941:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:957:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1012:21: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1020:21: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1034:21: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1103:21: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1237:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: gnome-panel.css:94:21: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: nautilus.css:18:18: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: nautilus.css:18:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: nautilus.css:81:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: nautilus.css:86:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Theme parsing error: nautilus.css:145:20: Not using units is deprecated. Assuming 'px'.

(synaptic:4924): Gtk-WARNING **: Style property "border-top-left-radius" is not gettable

(synaptic:4924): GLib-GObject-WARNING **: /tmp/buildd/glib2.0-2.36.1/./gobject/gtype.c:4239: type id `0' is invalid

(synaptic:4924): GLib-GObject-WARNING **: can't peek value table for type `<invalid>' which is not currently referenced
Segmentation fault

I'm clueless. Thanks a lot in advance for any suggestion!

Offline

Be excellent to each other!

#2 2013-05-28 21:02:40

rebornmechanics
#! CrunchBanger
Registered: 2012-11-05
Posts: 171

Re: synaptic problem

It's a problem with gtk3 themes. You'll notice the same behavior with other gtk3 apps as well.
See this thread: ***Warning for users tracking Sid*** (libgtk-3-0)

Offline

#3 2013-05-28 22:02:40

farinet
#! Junkie
Registered: 2012-11-03
Posts: 296

Re: synaptic problem

Thanks for the pointer! I already ran into that thread wink

Offline

#4 2013-05-28 22:46:41

lowrider
#! Die Hard
From: Germany
Registered: 2011-09-10
Posts: 731

Re: synaptic problem

^ok. you are sure you change the gtk-theme-name in /root/.config/gtk-3.0/settings.ini?
this at least would make (sudo called) synaptic and other progs with a gtk2/3 gui work again.

Last edited by lowrider (2013-05-28 22:48:26)


came for the distro, stayed for the community
streamripper :: smxi

Offline

#5 2013-05-29 02:49:30

KrunchTime
#! Die Hard
From: not where I belong
Registered: 2012-03-02
Posts: 3,184

Re: synaptic problem

farinet wrote:

After an "sudo apt-get update && upgrade" synaptic does not work anymore.

Is not being able to use synaptic a show stopper for you and if so, why?  I pretty much just use synaptic now and then to discover/search for pkgs when I'm not sure what to look for.  Otherwise, I use aptitude from the command line.


Linux User #586672
There aren't enough swear-words in the English language, so now I'll have to call you perkeleen vittupää just to express my disgust and frustration with this crap. -- Linus Torvalds

Offline

#6 2013-05-29 11:27:38

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: synaptic problem

KrunchTime wrote:
farinet wrote:

After an "sudo apt-get update && upgrade" synaptic does not work anymore.

Is not being able to use synaptic a show stopper for you and if so, why?  I pretty much just use synaptic now and then to discover/search for pkgs when I'm not sure what to look for.  Otherwise, I use aptitude from the command line.

Anyway, this will solve synaptic for him...

sudo geany ~/.config/gtk-3.0/settings.ini

Then change this line:

gtk-theme-name=waldorf

If you replace waldorf with TropicBomb in the line above, synaptic will work... Personally I use Boje-Greyscale, but that has to be installed of course...

Last edited by ew (2013-05-30 20:25:06)


- apt-mark hold account

Offline

#7 2013-05-29 14:24:25

farinet
#! Junkie
Registered: 2012-11-03
Posts: 296

Re: synaptic problem

Thanks for all the tips. In the meantime i resolved for the moment with Numix (as someone suggested in the other thread).

Just out of curiousity: Could you point me to some screenshots of Boje-Greyscale (and eventually, a download link)?

TIA.

Offline

#8 2013-05-29 21:00:56

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: synaptic problem

farinet wrote:

Thanks for all the tips. In the meantime i resolved for the moment with Numix (as someone suggested in the other thread).

Just out of curiousity: Could you point me to some screenshots of Boje-Greyscale (and eventually, a download link)?

TIA.

Here, comes with lots of colorchoices: http://gnome-look.org/content/show.php/ … ent=155857

But it is a dark theme. No point in trying Boje if you like Waldorf. I don`t like light themes, so Waldorf is not missed by me. Delorean Dark is another dark theme that`s very good, especially together with the Ubuntu-style-1.2.3 icons, and Dark-star suite is another theme that I love...


- apt-mark hold account

Offline

#9 2013-05-30 03:45:43

KrunchTime
#! Die Hard
From: not where I belong
Registered: 2012-03-02
Posts: 3,184

Re: synaptic problem

ew wrote:

Anyway, this will solve synaptic for him...

sudo geany ~/.config/.config/gtk-3.0/settings.ini

Then change this line:

gtk-theme-name=waldorf

If you replace waldorf with TropicBomb in the line above, synaptic will work... Personally I use Boje-Greyscale, but that has to be installed of course...

That didn't work for me.  Synaptic and gufw will not run.


Linux User #586672
There aren't enough swear-words in the English language, so now I'll have to call you perkeleen vittupää just to express my disgust and frustration with this crap. -- Linus Torvalds

Offline

#10 2013-05-30 11:08:52

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: synaptic problem

KrunchTime wrote:
ew wrote:

Anyway, this will solve synaptic for him...

sudo geany ~/.config/.config/gtk-3.0/settings.ini

Then change this line:

gtk-theme-name=waldorf

If you replace waldorf with TropicBomb in the line above, synaptic will work... Personally I use Boje-Greyscale, but that has to be installed of course...

That didn't work for me.  Synaptic and gufw will not run.

Strange. It worked for me. Try this theme from xoraxiom:
https://www.dropbox.com/sh/ey7mr3mu7h8ylr3/6fcjMQv8GD


- apt-mark hold account

Offline

#11 2013-05-30 12:30:29

lowrider
#! Die Hard
From: Germany
Registered: 2011-09-10
Posts: 731

Re: synaptic problem

ew wrote:
KrunchTime wrote:
ew wrote:

Anyway, this will solve synaptic for him...

sudo geany ~/.config/.config/gtk-3.0/settings.ini

Then change this line:

gtk-theme-name=waldorf

If you replace waldorf with TropicBomb in the line above, synaptic will work... Personally I use Boje-Greyscale, but that has to be installed of course...

That didn't work for me.  Synaptic and gufw will not run.

Strange. It worked for me. Try this theme from xoraxiom:
https://www.dropbox.com/sh/ey7mr3mu7h8ylr3/6fcjMQv8GD

@ew
There is a syntax error in your commandline (double entry for .config/ ). It should be for users gtk3:

geany ~/.config/gtk-3.0/settings.ini

and for roots gtk3:

sudo geany /root/.config/gtk-3.0/settings.ini

came for the distro, stayed for the community
streamripper :: smxi

Offline

#12 2013-05-30 20:27:44

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: synaptic problem

lowrider wrote:

@ew
There is a syntax error in your commandline (double entry for .config/ ). It should be for users gtk3:

geany ~/.config/gtk-3.0/settings.ini

and for roots gtk3:

sudo geany /root/.config/gtk-3.0/settings.ini

Oops, no wonder it didn`t work. I don`t know how I`ve managed to enter .config twice..., but anything is possible it seems...


- apt-mark hold account

Offline

#13 2013-05-30 20:30:49

KrunchTime
#! Die Hard
From: not where I belong
Registered: 2012-03-02
Posts: 3,184

Re: synaptic problem

ew wrote:

Strange. It worked for me. Try this theme from xoraxiom:
https://www.dropbox.com/sh/ey7mr3mu7h8ylr3/6fcjMQv8GD

I downloaded the MediterraneanNight Series theme pack, a gtk3.0 theme, from http://gnome-look.org, and that didn't work either; reference this post http://crunchbang.org/forums/viewtopic. … 60#p311860.


Linux User #586672
There aren't enough swear-words in the English language, so now I'll have to call you perkeleen vittupää just to express my disgust and frustration with this crap. -- Linus Torvalds

Offline

#14 2013-05-31 00:20:16

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: synaptic problem

KrunchTime wrote:
ew wrote:

Strange. It worked for me. Try this theme from xoraxiom:
https://www.dropbox.com/sh/ey7mr3mu7h8ylr3/6fcjMQv8GD

I downloaded the MediterraneanNight Series theme pack, a gtk3.0 theme, from http://gnome-look.org, and that didn't work either; reference this post http://crunchbang.org/forums/viewtopic. … 60#p311860.

But have you tried this theme?

https://www.dropbox.com/sh/ey7mr3mu7h8ylr3/6fcjMQv8GD

Click Download, choose as a zip-file, save it in ~/downloads. When downloaded, right-click the zip-file, choose extract here. Copy the extracted folder to ~/.themes, or as root to /usr/share/themes... It works.


- apt-mark hold account

Offline

#15 2013-05-31 12:04:12

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: synaptic problem

If anyone wants to try a slight modification of Flatstudio-Zuk-crunchbang, then you can find it here:
https://github.com/ewlinux/flatstudiohacks-ew

I`m just doing this for fun. Never used GitHub before, nor modified themes before, so I will mess and experiment so much with this theme and GitHub itself, that I created my own project. But as it is now, I`ve just made the higlighted elements grey instead of blue, and it should work in both openbox and xfce4. Includes gtk2, gtk3, openbox-3, xfwm4, and xfce-notify-4.0. If anyone wants to try it before I mess it up completely, then be my guest. It looks like this in openbox with tint2: #use at own risk smile

screenshot-05312013-014919pm.png

Psst, I don`t want to promote it, that`s why I hide it in this thread:)))


- apt-mark hold account

Offline

#16 2013-05-31 13:12:26

lowrider
#! Die Hard
From: Germany
Registered: 2011-09-10
Posts: 731

Re: synaptic problem

^Thank you for doing the work for me  big_smile
2013_05_31_1370005766_1024x768_scrot.jpg


came for the distro, stayed for the community
streamripper :: smxi

Offline

#17 2013-05-31 14:20:13

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: synaptic problem

lowrider wrote:

Hehe. Anytime angel

Last edited by ew (2013-05-31 14:21:02)


- apt-mark hold account

Offline

#18 2013-10-20 02:55:29

MaLiXs
Member
Registered: 2013-10-19
Posts: 49

Re: synaptic problem

got this problem after upgrading to testing ! solved by using Boje-Blue theme (that i look realy nice too)

Offline

#19 2013-10-20 22:36:19

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: synaptic problem

MaLiXs wrote:

got this problem after upgrading to testing ! solved by using Boje-Blue theme (that i look realy nice too)

Yes. Boje is a nice theme, and very flexible because of all the colors it comes in.


- apt-mark hold account

Offline

#20 2013-10-22 04:43:13

MaLiXs
Member
Registered: 2013-10-19
Posts: 49

Re: synaptic problem

Yeah !  was alerdy using it on many other distro !

Offline

Board footer

Powered by FluxBB

Copyright © 2012 CrunchBang Linux.
Proudly powered by Debian. Hosted by Linode.
Debian is a registered trademark of Software in the Public Interest, Inc.

Debian Logo